using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CommentsAndPreprocessing
{
    class Examples27_28
    {
        public static void ConditionalCompilation()
        {
            // Listing 2-27
#if DEBUG
            Console.WriteLine("Zaczynamy działać...");
#endif
            DoWork();
#if DEBUG
            Console.WriteLine("Praca zakończona...");
#endif
        }

        private static void DoWork()
        {
            // Tylko po to żeby przykład działał.
        }


        // Listing 2-28
        [System.Diagnostics.Conditional("DEBUG")]
        static void ShowDebugInfo(object o)
        {
            Console.WriteLine(o);
        }

        public static void UseConditionalMethod()
        {
            ShowDebugInfo("Tylko w razie wyboru konfiguracji budowania Debug");
        }
    }
}
